
function [ d_limite ] = EstimaRetardo( r, ~, data, curva_servico, processo_envelope )
[~,tamanhoAmostra] = size(data);
data(1)=0;
for i=2:tamanhoAmostra
    if(processo_envelope(i-1)/norm(processo_envelope) > curva_servico(i)/norm(curva_servico))
        data(i)=0;
    end
end

d_limite = data./r;
d_limite = min(d_limite(d_limite>0));